/* Paramètres généraux */
@font-face {
  font-family: "front-reg";
  src: url(../fonts/PlayfairDisplay-Regular.ttf);
}
@font-face {
  font-family: "font-bold";
  src: url(../fonts/PlayfairDisplay-ExtraBold.ttf);
}
@font-face {
  font-family: "font-med";
  src: url(../fonts/SedgwickAveDisplay-Medium.ttf);
}
* {
  padding: 0;
  margin: 0;
}
*::selection {
  background: black;
  color: #fefeff;
}
html {
  scroll-behavior: smooth;
}
body {
  margin: auto;
  font-family: "font-reg", serif;
  background: #000101;
  color: #fefeff;
  transition: 0.7s ease-in-out;
}
h2 {
  font-size: calc(3rem + 5vw);
  text-align: center;
  color: rgb(217, 217, 217);
  font-family: "font-bold", serif;
  letter-spacing: 3px;
}
.title {
  font-size: calc(1.5rem + 5vh);
  letter-spacing: 0;
}
span {
  display: inline-block;
}
a {
  font-family: "font-bold";
}
a,
a:visited {
  cursor: pointer;
  position: relative;
  text-decoration: none;
  color: #fefeff;
  transition: 0.1s linear;
  font-size: calc(0.8rem + 0.8vw);
}
a::after {
  content: "";
  position: absolute;
  width: 100%;
  background: #fefeff;
  height: 1px;
  bottom: -4px;
  left: 0;
  transform-origin: left;
}
a:hover {
  transform: scale(1.04);
  color: rgb(217, 217, 217);
}
a:hover::after {
  animation: animLink 1.4s infinite ease-in-out;
}
@keyframes animLink {
  50% {
    transform: scale(0.2);
  }
  100% {
    transform: scaleX(1);
  }
}
.img {
  height: 395px;
  width: 100vw;
  max-width: 395px;
  margin: 0 auto;
  filter: grayscale(100%);
  transition: 1.6s;
}
.img:hover {
  filter: grayscale(10%);
}
.ligne {
  height: 2px;
  width: 70%;
  margin: 0 auto;
  background: #000101;
  transition: 1s cubic-bezier(0.77, 0, 0.18, 1);
  transition-delay: 0.75s;
  opacity: 0;
  transform: scaleX(0);
}
.ligne-wrapper.is-inview .ligne {
  opacity: 1;
  transform: scaleX(1);
}
.wrapper {
  perspective: 900px;
}
.appear {
  opacity: 0;
  transform: translateY(100%) rotateX(-80deg);
  transform-origin: top center;
  transform-style: preserve-3d;
  transition: 0.8s cubic-bezier(0.215, 0.61, 0.355, 1);
}
.appear.is-inview {
  transition-delay: 1s;
  opacity: 1;
  transform: none;
}
header {
  max-height: 100vh;
  max-width: 100vw;
  position: relative;
  margin: 2vw 2vw 0;
}
.links {
  display: flex;
  justify-content: space-between;
}
#h1-wrapper {
  transition-delay: 0.3s;
}
h1 {
  font-size: calc(2rem + 8vw);
  margin-top: 20px;
  margin-bottom: 60px;
  text-align: center;
  font-family: "font-med", cursive;
  font-weight: 400;
  font-style: normal;
  letter-spacing: 6px;
  color: #fefeff;
}
header h2 {
  font-size: calc(1rem + 6.5vw);
  font-family: "font-med", cursive;
  font-weight: 400;
  font-style: normal;
  letter-spacing: 6px;
  color: #fefeff;
  margin: 18px, 0;
  text-align: center;
}
#h2-1 {
  transition-delay: 0.9s;
}
#h2-2 {
  transition-delay: 1.2s;
}
.scroll-wrapper {
  position: relative;
  text-align: center;
  margin-top: 20px;
  left: 50%;
  transform: translateX(-50%);
  bottom: 3.5vw;
  color: rgb(217, 217, 217);
  font-size: calc(0.8rem + 0.5vw);
  font-family: "font-reg";
}
.about {
  margin: 400px 0 250px;
}
.img1 {
  background: url(../img/Avatar.jpg) top/cover;
}
.h2-wrapper {
  mix-blend-mode: exclusion;
  margin: -220px 0 200px;
}
.about p {
  width: 70%;
  min-width: 280px;
  text-align: center;
  margin: 0 auto;
  line-height: calc(7px + 4.5vw);
  font-size: calc(1rem + 1vw);
  letter-spacing: 1px;
}
.about a {
  font-family: "font-bold", serif;
  color: #000101;
}
.about a:visited {
  cursor: pointer;
  position: relative;
  text-decoration: none;
  color: #000101;
  transition: 0.1s linear;
  font-size: calc(0.8rem + 0.8vw);
}
.about a::after {
  content: "";
  position: absolute;
  width: 100%;
  background: #000101;
  height: 1px;
  bottom: -4px;
  left: 0;
  transform-origin: left;
}
.about a:hover {
  transform: scale(1.04);
  color: rgb(217, 217, 217);
}
.about a:hover::after {
  animation: animLink 1.4s infinite ease-in-out;
  background: #000101;
}
.skills {
  margin: 200px 0 250px;
}
.skills h2 {
  margin-bottom: 150px;
}
.skills .wrapper {
  margin: 30px 0;
}
.skills .appear {
  text-align: center;
  transition-delay: 0.6s;
}
.portfolio {
  margin: 200px 0;
}
.project-container {
  margin-top: 100px;
}
.project img:hover {
  transform: scale(1.1);
  filter: brightness(90%);
}
.project {
  position: relative;
  width: 60vw;
  min-width: 600px;
  /* margin: 50px 5vw; */
  padding: 20px;
}
.project::before {
  content: "";
  position: absolute;
  height: 110%;
  width: 100%;
  top: -3px;
  background: #fefeff;
  transition: 1s ease-out;
  transition-delay: 0.85s;
}
.project.is-inview::before {
  width: 0;
}
#p1 {
  margin-left: 8vw;
}
#p2 {
  margin: 0 6vw 0 auto;
}
#p3 {
  margin-left: 8vw;
}
#p4 {
  margin: 0 6vw 0 auto;
}
.project img {
  border-radius: 20px;
  transition: 0.4s ease-out;
  width: 100%;
}
.project img {
  filter: brightness(50%);
}
.project .projects-info {
  opacity: 1;
  transform: translate(0, -50%);
}
.projects-info {
  position: absolute;
  top: 50%;
  transform: translate(-50px, -50%);
  margin-left: 8vw;
  transition: 0.4s ease-out;
  opacity: 0;
}
.projects-info a {
  font-size: calc(1rem + 3vw);
}
footer {
  margin-bottom: 50px;
  bottom: 1000px;
  left: 0;
  right: 0;
  height: auto;
  width: 100vw;
  padding: 10px;
}
footer p {
  font-size: calc(1rem + 2vw);
  margin: 25px 0;
  text-align: center;
}
#l2 {
  transition-delay: 1.2s;
}
#l3 {
  transition-delay: 1.6s;
}
footer a {
  font-family: "font-bold", serif;
  color: #000101;
  font-size: calc(1rem + 2vw);
}
footer a:visited {
  cursor: pointer;
  position: relative;
  text-decoration: none;
  color: #000101;
  transition: 0.1s linear;
  font-size: calc(0.8rem + 0.8vw);
}
footer a::after {
  content: "";
  position: absolute;
  width: 100%;
  background: #000101;
  height: 1px;
  bottom: -4px;
  left: 0;
  transform-origin: left;
}
footer a:hover {
  transform: scale(1.04);
  color: rgb(217, 217, 217);
}
footer a:hover::after {
  animation: animLink 1.4s infinite ease-in-out;
  background: #000101;
}
@media screen and (max-width: 700px) {
  #skills img {
    max-height: 90%;
    max-width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
}
@media screen and (max-width: 514px) {
  h1,
  h2,
  .title {
    font-size: 280%;
  }
}
@media screen and (max-width: 660px) {
  #skills img {
    max-height: 90%;
    max-width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
}
@media screen and (max-width: 565px) {
  #skills img {
    max-height: 85%;
    max-width: 85%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
}
@media screen and (max-width: 500px) {
  #skills img {
    max-height: 80%;
    max-width: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
}
@media screen and (max-width: 465px) {
  #skills img {
    max-height: 70%;
    max-width: 70%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
  .interest {
    max-width: 80%;
    margin: 0 auto;
  }
}
@media screen and (max-width: 450px) {
  #skills img {
    max-height: 60%;
    max-width: 60%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
  }
}
@media screen and (max-width: 400px) {
  .img {
    justify-content: center;
    max-height: 300px;
    max-width: 300px;
    width: 100vw;
    margin: 0 auto;
  }
  #skills img {
    max-width: 50%;
  }
}
